Erreur lors de l'installation home assistant

Bonjour,
voici ma config

**Matériel: Vieil ordinateur /
**Version de YunoHost:11.1.6.2
**J’ai accès à mon serveur : Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non
Si votre requête est liée à une application, précisez son nom et sa version: Home Assistant

lors de l’installation de home assistant j’ai ces messages d’erreurs:
Collecting orjson==3.8.5
2023-02-15 20:16:30,959: DEBUG - Using cached orjson-3.8.5.tar.gz (651 kB)
2023-02-15 20:16:31,149: DEBUG - Installing build dependencies: started
2023-02-15 20:16:34,383: DEBUG - Installing build dependencies: finished with status ‘done’
2023-02-15 20:16:34,385: DEBUG - Getting requirements to build wheel: started
2023-02-15 20:16:34,477: DEBUG - Getting requirements to build wheel: finished with status ‘done’
2023-02-15 20:16:34,479: DEBUG - Preparing metadata (pyproject.toml): started
2023-02-15 20:16:34,605: DEBUG - Preparing metadata (pyproject.toml): finished with status ‘error’
2023-02-15 20:16:34,618: WARNING - error: subprocess-exited-with-error
2023-02-15 20:16:34,619: DEBUG -
2023-02-15 20:16:34,619: WARNING - × Preparing metadata (pyproject.toml) did not run successfully.
2023-02-15 20:16:34,619: WARNING - │ exit code: 1
2023-02-15 20:16:34,619: WARNING - ╰─> [13 lines of output]
2023-02-15 20:16:34,620: WARNING - error: failed to parse manifest at /tmp/pip-install-jy7wycsa/orjson_728f3c8c5cdb431cbefcbc33d8079f57/Cargo.toml
2023-02-15 20:16:34,620: DEBUG -
2023-02-15 20:16:34,620: WARNING - Caused by:
2023-02-15 20:16:34,620: WARNING - failed to parse the edition key
2023-02-15 20:16:34,621: DEBUG -
2023-02-15 20:16:34,621: WARNING - Caused by:
2023-02-15 20:16:34,621: WARNING - this version of Cargo is older than the 2021 edition, and only supports 2015 and 2018 editions.
2023-02-15 20:16:34,621: WARNING - :boom: maturin failed
2023-02-15 20:16:34,622: WARNING - Caused by: Cargo metadata failed. Does your crate compile with cargo build?
2023-02-15 20:16:34,622: WARNING - Caused by: cargo metadata exited with an error:
2023-02-15 20:16:34,622: WARNING - Error running maturin: Command ‘[‘maturin’, ‘pep517’, ‘write-dist-info’, ‘–metadata-directory’, ‘/tmp/pip-modern-metadata-tok29heb’, ‘–interpreter’, ‘/var/www/homeassistant/bin/python3’]’ returned non-zero exit status 1.
2023-02-15 20:16:34,622: WARNING - Checking for Rust toolchain…
2023-02-15 20:16:34,623: WARNING - Running maturin pep517 write-dist-info --metadata-directory /tmp/pip-modern-metadata-tok29heb --interpreter /var/www/homeassistant/bin/python3
2023-02-15 20:16:34,623: WARNING - [end of output]
2023-02-15 20:16:34,623: DEBUG -
2023-02-15 20:16:34,623: WARNING - note: This error originates from a subprocess, and is likely not a problem with pip.
2023-02-15 20:16:34,624: WARNING - error: metadata-generation-failed
2023-02-15 20:16:34,624: DEBUG -
2023-02-15 20:16:34,624: WARNING - × Encountered error while generating package metadata.
2023-02-15 20:16:34,624: WARNING - ╰─> See above for output.
2023-02-15 20:16:34,625: DEBUG -
2023-02-15 20:16:34,625: WARNING - note: This is an issue with the package mentioned above, not pip.
2023-02-15 20:16:34,625: WARNING - hint: See above for details.
2023-02-15 20:16:35,205: DEBUG - + ynh_exit_properly
2023-02-15 20:16:35,710: DEBUG - + ynh_clean_setup
2023-02-15 20:16:35,711: DEBUG - + true
2023-02-15 20:16:36,715: ERROR - Impossible d’installer homeassistant : Une erreur est survenue dans le script d’installation de l’application

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.